Package: org.gradle.api.artifacts

## [Java] Interface ResolvedArtifact

- Information about a resolved artifact.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getClassifier()`
    `String` | `getExtension()`
    `File` | `getFile()`
    `ComponentArtifactIdentifier` | `getId()`
    `ResolvedModuleVersion` | `getModuleVersion()` Returns the module which this artifact belongs to.
    `String` | `getName()`
    `String` | `getType()`

- - ### Method Detail

    - #### public String getClassifier()

    - #### public String getExtension()

    - #### public File getFile()

    - #### @Incubating public ComponentArtifactIdentifier getId()

    - #### public ResolvedModuleVersion getModuleVersion()

      Returns the module which this artifact belongs to.

      Returns:
        The module.

    - #### public String getName()

    - #### public String getType()